Mailinglist Archive: opensuse-buildservice (269 mails)

< Previous Next >
Re: [opensuse-buildservice] phonon, standard
  • From: Michal Marek <mmarek@xxxxxxx>
  • Date: Tue, 02 Sep 2008 14:04:11 +0200
  • Message-id: <48BD2BBB.7000402@xxxxxxx>
Peter Czanik wrote:
Hello,

Michal Marek írta:
%requires_ge is new in Factory rpm, defined in /usr/lib/rpm/macros. If
you need it for 11.0, you can add a package to your project that defines
that macro in a file /etc/rpm/macros.*, or run 'osc meta prjconf <your
project> and add
Macros:
%requires_ge ...
to the project configuration.

How is this handled in the openSUSE BS? As all what I did is, that I
made a local copy of KDE:KDE4:Factory:Desktop and started to compile.

$ osc meta prjconf KDE:KDE4:Factory:Desktop
...
Macros:
%requires_ge() %(LC_ALL="C" echo '%*' | xargs -r rpm -q --qf 'Requires:
%%{name} >= %%{epoch}:%%{version}\\n' | sed -e 's/ (none):/ /' -e 's/
0:/ /' | grep -v "is not")

Michal
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups